Product - List
Gets all Products.
GET https://prod.core.sphere.azure.net/v2/tenants/{tenantId}/products
GET https://prod.core.sphere.azure.net/v2/tenants/{tenantId}/products?maxPageSize={maxPageSize}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
tenant
|
path | True |
string (uuid) |
The Azure Sphere tenant ID. |
|
max
|
query |
integer (int32) |
The maximum number of results that should be included in the response. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Sphere-Continuation |
string |
A continuation token used to continue from a previous page of results. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success. |
Examples
List the products
Sample request
GET https://prod.core.sphere.azure.net/v2/tenants/768c2cd6-1bf0-4521-9f53-084a331d81cb/products
Sample response
{
"Items": [
{
"Id": "b0ba65bc-648f-4213-a910-cbeb6024c744",
"TenantId": "768c2cd6-1bf0-4521-9f53-084a331d81cb",
"Name": "Dishwasher",
"Description": "Contoso dishwashers"
},
{
"Id": "258e9e1d-a16d-4459-be5d-38420a8c43ad",
"TenantId": "768c2cd6-1bf0-4521-9f53-084a331d81cb",
"Name": "Refrigerator",
"Description": "Contoso refrigerators"
}
],
"ContinuationToken": null
}
Definitions
| Name | Description |
|---|---|
| Product | |
|
Product |
Product
| Name | Type | Description |
|---|---|---|
| Description |
string |
The description of the product. |
| Id |
string |
The unique ID of the product. |
| Name |
string |
The name of the product. |
| TenantId |
string |
The unique ID of the tenant that owns the product. |
ProductItemCollectionResponse
| Name | Type | Description |
|---|---|---|
| ContinuationToken |
string |
Continuation token that can be used to get next set of items. |
| Items |
Product[] |
List of items. |